<?php

require_once XOOPS_MODULE_PATH . "/cuestion/class/AbstractEditAction.class.php";
require_once XOOPS_MODULE_PATH . "/cuestion/admin/forms/AnswerAdminEditForm.class.php";

class Cuestion_AnswerEditAction extends Cuestion_AbstractEditAction
{
	function _getId()
	{
		return isset($_REQUEST['answer_id']) ? $_REQUEST['answer_id'] : 0;
	}

	function &_getHandler()
	{
		$handler =& xoops_getmodulehandler('answer');
		return $handler;
	}

	function _setupActionForm()
	{
		$this->mActionForm =& new Cuestion_AnswerAdminEditForm();
		$this->mActionForm->prepare();
	}

	function executeViewInput(&$controller, &$xoopsUser, &$render)
	{
		$render->setTemplateName("answer_edit.html");
		$render->setAttribute('actionForm', $this->mActionForm);
		$this->mObject->loadQuestion();
		$render->setAttribute('object', $this->mObject);
		
		$questionHandler =& xoops_getmodulehandler('question');
		$questionArr =& $questionHandler->getObjects();
		foreach (array_keys($questionArr) as $key) {
			$questionArr[$key]->loadAnswer();
			$questionArr[$key]->loadKeyqlink();
			$questionArr[$key]->loadCategory();
		}
		$render->setAttribute('questionArr', $questionArr);
	}

	function executeViewSuccess(&$controller, &$xoopsUser, &$render)
	{
		$controller->executeForward("./index.php?action=AnswerList");
	}

	function executeViewError(&$controller, &$xoopsUser, &$render)
	{
		redirect_header("./index.php?action=AnswerList", 1, _AD_CUESTION_ERROR_DBUPDATE_FAILED);
	}
}

?>
