<?php

require_once XOOPS_MODULE_PATH . "/cuestion/class/AbstractEditAction.class.php";
require_once XOOPS_MODULE_PATH . "/cuestion/admin/forms/QuestionAdminEditForm.class.php";

class Cuestion_QuestionEditAction extends Cuestion_AbstractEditAction
{
	function _getId()
	{
		return isset($_REQUEST['question_id']) ? $_REQUEST['question_id'] : 0;
	}

	function &_getHandler()
	{
		$handler =& xoops_getmodulehandler('question');
		return $handler;
	}

	function _setupActionForm()
	{
		$this->mActionForm =& new Cuestion_QuestionAdminEditForm();
		$this->mActionForm->prepare();
	}

	function executeViewInput(&$controller, &$xoopsUser, &$render)
	{
		$render->setTemplateName("question_edit.html");
		$render->setAttribute('actionForm', $this->mActionForm);
		$this->mObject->loadAnswer();
		$this->mObject->loadKeyqlink();
		$this->mObject->loadCategory();
		$render->setAttribute('object', $this->mObject);
		
		$categoryHandler =& xoops_getmodulehandler('category');
		$categoryArr =& $categoryHandler->getObjects();
		foreach (array_keys($categoryArr) as $key) {
			$categoryArr[$key]->loadQuestion();
		}
		$render->setAttribute('categoryArr', $categoryArr);
	}

	function executeViewSuccess(&$controller, &$xoopsUser, &$render)
	{
		$controller->executeForward("./index.php?action=QuestionList");
	}

	function executeViewError(&$controller, &$xoopsUser, &$render)
	{
		redirect_header("./index.php?action=QuestionList", 1, _AD_CUESTION_ERROR_DBUPDATE_FAILED);
	}
}

?>
